Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.pipeline.processes
Class XSLProcess

`java.lang.Object
oracle.xml.pipeline.controller.Process
oracle.xml.pipeline.processes.XSLProcess`

All Implemented Interfaces:
  java.lang.Runnable, ErrorListener, PipelineConstants, ErrorHandler

      public class XSLProcess

extends Process
implements ErrorListener

Extends the pipeline Process class to create a wrapper around JXTransformer to be used by the pipeline framework. Its parameters are: Inputs - "document" (dom) Params - "stylesheet" (XSLStylesheet), "outputEncoding" (String) Outputs - "result" (stream, dom, sax) Outparams - none

Field Summary

Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants
`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, PROCESS_WAITING, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

Method Summary

Methods inherited from class oracle.xml.pipeline.controller.Process
`convertFromDOM, convertFromSAX, convertFromStream, error, execute, getErrorDocument, getErrorSource, getErrorStream, getErrorStream, getInParamValue, getInput, getOutParamValue, getOutput, getOutputStream, getOutputWriter, getSAXContentHandler, getSAXErrorHandler, info, initialize, SAXContentHandler, SAXErrorHandler, setOutputResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.transform.ErrorListener
`error, fatalError, warning`

Methods inherited from interface java.lang.Runnable
`run`

Methods inherited from interface org.xml.sax.ErrorHandler
`error, fatalError, warning`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.